Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z

### - r -

- RADIX : Lucene::NumberTools
- ramBufferSize : Lucene::DocumentsWriter
- rangeCollator : Lucene::QueryParser
- rawDocLengths : Lucene::SegmentMerger
- rawDocLengths2 : Lucene::SegmentMerger
- readBufferSize : Lucene::CompoundFileReader
- readCount : Lucene::IndexWriter
- reader : Lucene::BufferedReader , Lucene::CustomScoreProvider , Lucene::IndexSearcher , Lucene::InputStreamReader , Lucene::NearSpansUnordered , Lucene::PayloadSpanUtil , Lucene::UTF8DecoderStream , Lucene::UTF8EncoderStream
- READER_BUFFER : Lucene::BufferedReader
- READER_EOF : Lucene::Reader
- readerCache : Lucene::Cache
- readerGen : Lucene::StringOrdValComparator
- readerKey : Lucene::FieldCacheEntryImpl
- readerPool : Lucene::IndexWriter
- readers : Lucene::MultiTermDocs , Lucene::OneMerge , Lucene::ParallelReader , Lucene::SegmentMerger
- readersClone : Lucene::OneMerge
- readerTermDocs : Lucene::MultiTermDocs
- readerTermsIndexDivisor : Lucene::IndexWriter
- readerToFields : Lucene::ParallelReader
- readOnly : Lucene::DirectoryReader , Lucene::SegmentReader
- recursionCount : Lucene::Synchronize
- refCount : Lucene::IndexReader
- refCounts : Lucene::IndexFileDeleter
- registerDone : Lucene::OneMerge
- repeats : Lucene::PhrasePositions , Lucene::SloppyPhraseScorer
- replaceInvalidAcronym : Lucene::StandardAnalyzer , Lucene::StandardTokenizer
- replacement : Lucene::MappingCharFilter
- reqScorer : Lucene::ReqExclScorer , Lucene::ReqOptSumScorer
- required : Lucene::SubScorer
- requiredMask : Lucene::BooleanScorer
- requiredNrMatchers : Lucene::CountingConjunctionSumScorer
- requiredScorers : Lucene::BooleanScorer2
- resolution : Lucene::TimeLimitingCollector
- result : Lucene::TranslationResult< TYPE >
- reversed : Lucene::StringOrdValComparator
- reverseMul : Lucene::FieldValueHitQueue
- rewriteMethod : Lucene::MultiTermQuery
- rollbackHasChanges : Lucene::DirectoryReader
- rollbackSegmentInfo : Lucene::SegmentReader
- rollbackSegmentInfos : Lucene::IndexWriter
- rollbackSegments : Lucene::IndexWriter
- running : Lucene::LuceneThread
- runningMerges : Lucene::IndexWriter

clucene.sourceforge.net